Bug 488935 (CVE-2009-0935) - CVE-2009-0935 kernel: inotify local DoS
Summary: CVE-2009-0935 kernel: inotify local DoS
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2009-0935
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 489259 489260 489261
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-06 09:29 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-15 01:37:39 UTC


Attachments (Terms of Use)
Upstream patch (5.59 KB, patch)
2009-03-06 09:58 UTC, Eugene Teo (Security Response)
no flags Details | Diff

Description Eugene Teo (Security Response) 2009-03-06 09:29:11 UTC
Description of problem:
If userspace supplies an invalid pointer to a read() of an inotify instance, the inotify device's event list mutex is unlocked twice. This causes an unbalance which effectively leaves the data structure unprotected, and we can trigger oopses by accessing the inotify instance from different tasks concurrently.

http://patchwork.kernel.org/patch/4857/

Comment 17 Eugene Teo (Security Response) 2009-03-19 04:18:18 UTC
CVSS2 score of medium, 4.7 (AV:L/AC:M/Au:N/C:N/I:N/A:C)


Note You need to log in before you can comment on or make changes to this bug.